# log4cplus::DiagnosticContext Struct Reference

This is the internal object that is stored on the NDC stack. More...

`#include <ndc.h>`

List of all members.

## Public Member Functions

| DiagnosticContext (const log4cplus::tstring &message, DiagnosticContext *parent)
| DiagnosticContext (const log4cplus::tstring &message)

## Public Attributes

log4cplus::tstring | message
log4cplus::tstring | fullMessage

## Detailed Description

This is the internal object that is stored on the NDC stack.

Definition at line 267 of file ndc.h.

## Constructor & Destructor Documentation

log4cplus::DiagnosticContext::DiagnosticContext | ( | const log4cplus::tstring & | message,
|  | DiagnosticContext * | parent
| ) |

log4cplus::DiagnosticContext::DiagnosticContext | ( | const log4cplus::tstring & | message | ) |

## Member Data Documentation

log4cplus::tstring log4cplus::DiagnosticContext::fullMessage

| The entire message stack. Definition at line 274 of file ndc.h.

log4cplus::tstring log4cplus::DiagnosticContext::message

| The message at this context level. Definition at line 273 of file ndc.h.

The documentation for this struct was generated from the following file:

- ndc.h